Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 16 Aug 2018, 22:12
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
How can I view mp4 videos in Lucid?
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
tallboy


Joined: 21 Sep 2010
Posts: 1009
Location: Oslo, Norway

PostPosted: Fri 09 Feb 2018, 04:45    Post subject:  How can I view mp4 videos in Lucid?  

I still have a problem viewing mp4 videos in Lucid 5.2.8.7 with the latest PaleMoon browser 27.7.2
Some sites are OK, in others like this https://www.nrk.no/nyheter/ , I get the message You have to install mp4 codecs., even for the soundtracks!

Is the mplayer plugin v.1.0.4 , that is supposed to play mp4 videos, an alternative at all? I get the message that there is no files or dirs that contain /mplayer/codecs.conf, and using the built-in codecs.conf. Except there is no such file. See code below.
And what about the gecko-mediaplayer plugin?

I have toggled the media.libavcodec.allow-obsolete in about:config back and forth.
I have turned the Media Source Extension on and off, MSE asynchronously on and off, enable/disabled MSE for WebM Video.

What else can I do? Are there old and new mp4 standards?

Code:
# mplayer -v     
MPlayer 1.0rc4-4.4.5 (C) 2000-2010 MPlayer Team
CPU vendor name: GenuineIntel  max cpuid level: 2
CPU: Intel(R) Pentium(R) 4 CPU 2.60GHz (Family: 15, Model: 2, Stepping: 9)
extended cpuid-level: 4
Detected cache-line size is 64 bytes
Testing OS support for SSE... yes.
Tests of OS support for SSE passed.
CPUflags:  MMX: 1 MMX2: 1 3DNow: 0 3DNowExt: 0 SSE: 1 SSE2: 1 SSSE3: 0
Compiled with runtime CPU detection.
get_path('codecs.conf') -> '/root/.mplayer/codecs.conf'
Reading /root/.mplayer/codecs.conf: Can't open '/root/.mplayer/codecs.conf': No such file or directory
Reading /etc/mplayer/codecs.conf: Can't open '/etc/mplayer/codecs.conf': No such file or directory
Using built-in default codecs.conf.
Usage:   mplayer [options] [url|path/]filename

_________________
True freedom is a live Puppy on a multisession CD/DVD.
Back to top
View user's profile Send private message 
matchpoint

Joined: 26 Jan 2018
Posts: 169

PostPosted: Fri 09 Feb 2018, 07:30    Post subject:  

Hallo tallboy,

Have you tried with a different browser, maybe an older Chrome SFS?

Is that computer of yours capable of running Precise?

See here. Maybe you can make a few edits.
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4019
Location: King's Lynn, UK.

PostPosted: Fri 09 Feb 2018, 09:33    Post subject:  

Hi, tallboy.

Let me get this straight. Do you specifically want to be able to watch .mp4s in the browser itself.....or just to watch .mp4s, period?

I'm guessing you probably know about these packages, but Puppyite did a load of stuff for Lucid round about the time he left the Forums in such a snit, and went off and started that one-man site by himself.....

So long as you've got MPlayer installed, there's an SMPlayer package that works very well. I use it all the time, myself, in 5.2.8.7.

http://puppylinuxfaq.org/add-on-software/29-pet/248-smplayer-pet.html

(I know it's an old version ( 0.6.8 ), but it works perfectly for me. Does what I want it to, anyroad... Or there's 0.6.9.4 in the Lucid repo at Ibiblio)

Either that, or there's the GXine package from the repos. Which works just as well, and is somewhat lighter on resources.


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4019
Location: King's Lynn, UK.

PostPosted: Fri 09 Feb 2018, 14:00    Post subject:  

@tallboy:-

If you could bring yourself to use Chrome, I have an older version (Chrome 26) that TwoPuppies let me have some time ago. It's the last one that'll work with Lucid's elderly glibc. Too old to sign into a Google a/c, I'm afraid, but it still works fine.....and I've never yet had any issues with it.

I've just tried it with that site you linked to, and everything seems to play as it should. Most of the videos appear to be flash-based, anyway.....so you would have to update the very out-dated PepperFlash that comes with it. Which is very easy to do.

If you want to give it a try, you can find it here:-

http://www.mediafire.com/file/1tgk6ar79zanwdg/google-chrome-26.0.1410.63.pet

Entirely up to you, of course. Because it's too old to sign-in and 'sync', all you need to do with your bookmarks is to import them as an HTML bookmarks file. Works a treat.


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------


Last edited by Mike Walsh on Fri 09 Feb 2018, 19:59; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
dancytron

Joined: 18 Jul 2012
Posts: 1102

PostPosted: Fri 09 Feb 2018, 15:50    Post subject:  

I haven't used it in a couple of years, but xine has a browser plugin that comes with it.

Might be worth a try.
Back to top
View user's profile Send private message 
tallboy


Joined: 21 Sep 2010
Posts: 1009
Location: Oslo, Norway

PostPosted: Fri 09 Feb 2018, 23:06    Post subject:  

Thank you, guys.
Mike, I installed Smplayer from your link, and get this funny message in the terminal window:
Code:
(process:18321): Gtk-CRITICAL **: gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed

Do you know what that is about?

The same package is also available in the ppm, and it doesn't work either. Sad

Dancytron, the xine plugin for mozilla is a newer verson, which mean a lot of dependencies. I don't know if an upgrade will break other packages.
I installed an old one, and nothing happened. Besides, the mp4 files I want to view, have no option 'Open with ...'. Sad

_________________
True freedom is a live Puppy on a multisession CD/DVD.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0875s ][ Queries: 14 (0.0130s) ][ GZIP on ]